Microsoft ODBC for Oracle Setup Dialog Box

The ODBC for Oracle Setup dialog box contains the following controls:

Data Source Name | The name or identifier used by applications to call or use this data source. Users can use any descriptive method to name a data source. This field is blank by default, but required.
Description | Contains any descriptive qualifiers; blank by default.
User Name | The user name for the data source.
Server | The database alias created in SQL*Net Easy Configuration or a connect string. (For information about string construction, see Connection String Attributes. For descriptions of personal and remote database connect strings, see the Oracle help file.)
Translation | Click Select to choose a loaded data translator; defaults to No Translator.
Performance Buffer Size specifies the size, in bytes, allocated to receive fetched data. The driver optimizes fetching so that one fetch from the Oracle Server returns enough rows to fill a buffer of the specified size. Larger values tend to increase performance when fetching a lot of data.

Include REMARKS in Catalog Functions specifies that the driver should return Remarks columns for the SQLColumns result set. Clear this option for faster performance.

Include SYNONYMS in SQL Columns specifies that, when set to True (1), a SQLColumns() API call returns column information for Tables, Views, and Synonyms. This driver retrieves column information faster when this value is not set (or when the value is set to 0).
Customization Enforce ODBC DayOfWeek Standard sets the result set to a particular day-of-week format. If selected, specifies that the result set conforms to the ODBC day-of-week format (Sunday = 1; Saturday = 7). Otherwise, conforms to the Oracle day-of-week format (Monday = 1; Sunday = 7).

SQLDescribeCol always returns a value for precision specifies that the SQLDescribeCol call will return 130 for the precision when Oracle does not provide that information. Some Oracle numeric data types do not have a fixed precision, such as computed numeric columns and columns defined as NUMBER without a precision or scale. If this check box is cleared, the driver will return 0 for these types of columns.

Note Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) The Microsoft ODBC Driver for Oracle supports only SQL*Net 2.3 or later. For more information about Oracle products, refer to your Oracle documentation. Other information can be found under Software Support Levels and Product Support in this help file.


.topic 4209
The name or identifier used by applications to call or use this data source. Blank by default, but required.

.topic 4210
Descriptive qualifiers; blank by default.

.topic 4201
The amount of data, in bytes, that the application will attempt to fetch at one time.

.topic 4202
Type your database user name; this is your database user ID.

.topic 4203
Sets the result set to a particular day-of-week format; ODBC or Oracle.

.topic 4204
If selected, specifies that the driver returns Remarks columns for the SQLColumns result set. Clear this option for faster performance.

.topic 4205
Specifies that the driver returns column information for SYNONYMS.

.topic 4206
Type the connect string for the Oracle Server engine you want to access.

.topic 4207
Click to choose a loaded data translator.

.topic 4208
If selected, the SQLDescribeCol call returns 130 for the precision when that information is not provided by Oracle. Otherwise the driver returns 0 for these types of columns.


Connection String Attributes

Instead of a dialog box, some applications might require a connection string that specifies, using particular attributes, how a driver connects to a data source. Each attribute identifies specific information that the driver needs to make a successful connection. The connection string format is always as follows:

"DSN=<data-source-name> ;[SERVER=<value>] [;PWD=<value>] [;UID=<value>] [;<Attribute>=<value>]"

Note The Microsoft ODBC Driver for Oracle also supports the CONNECTSTRING argument from the first version (1.x) of the driver.

You must specify the data source name if you do not specify the UID, PWD, SERVER (or CONNECTSTRING), and DRIVER attributes. However, all other attributes are optional. When an attribute is unspecified, the attribute specified in the DSN tab of the ODBC Data Source Administrator dialog box is the default.

The connection string attributes are described in the following table.

Attribute | Description | Default value
DSN The data source name, listed in the User DSN or System DSN tab of the ODBC Data Source Administrator dialog box. ""
PWD The password for the Oracle Server you want to access. This driver supports the Oracle limit of 30 characters and has the same limitations as Oracle places on passwords. ""
SERVER The string for the Oracle Server you want to access.

This string can be an Oracle database alias, an entry in the Tnsnames.ora file, or an alias that will be mapped to the correct server using Oracle Names Server.

A database alias can be set up using Oracle's SQL*Net Fast Configuration (or Net8 Easy Configuration for Oracle8 databases). For more information about connecting to an Oracle database, see your Oracle documentation.

 ""
UID The Oracle Server user name. This attribute might not be optional—certain databases and tables might require this attribute for security purposes.

To indicate Oracle's operating system authentication, use "UID=/;".

""
BUFFERSIZE The optimal buffer size for fetching columns.

The driver optimizes fetching so that one fetch from the Oracle Server returns enough rows to fill a buffer of this size. Larger values tend to increase performance if you fetch a lot of data.

 65535
SYNONYMCOLUMNS | When this value is true (1), an SQLColumns API call returns column information for Tables, Views, and Synonyms. Otherwise, SQLColumns returns only columns for Tables and Views. For faster performance, do not set this value. | 1
REMARKS | When this value is true (1), the driver returns Remarks columns for the SQLColumns result set. For faster performance, do not set this value. | 0
StdDayOfWeek | Enforces the ODBC standard for the DAYOFWEEK scalar. This is the default value; users needing the localized version can change the behavior to use whatever Oracle returns. | 1

Note Attribute values might be case-sensitive.

Examples

The following connection string connects to the Employees data source by using the Oracle Server mickey.world and the Oracle User cindy:

"DSN=Employees;UID=cindy;PWD=secret;SERVER=mickey.world"

The following connection string connects to the Payroll data source by using Oracle's operating system authentication and the Oracle Server moola:

"DSN=Payroll;UID=/;PWD=;SERVER=moola"


Microsoft ODBC for Oracle Connect Dialog Box

The ODBC for Oracle Connect dialog box contains the following controls:

User Name | The name used to connect to the Oracle database.
Password | The password used to connect to the Oracle database, with the same limitations Oracle places on passwords.
Server | Type an Oracle database alias, an entry in the Tnsnames.ora file, or an alias that will be mapped to the correct server using Oracle Names Server. More information about connecting to an Oracle database can be found at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) Information about the Tnsnames.ora file can be found in your Oracle documentation.


Product Support

Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.)

The Oracle Corporation provides specific help documentation for Oracle client software setup and use.


Software Support Levels

The Microsoft ODBC Driver for Oracle supports:

  • Microsoft Windows 95/98, or Microsoft Windows NT 4.0 or Windows 2000

  • Oracle Call Interface 7 (OCI7)

  • SQL*Net 2.3 or later

  • ODBC 2.x and earlier (The latest version of ODBC can be installed, but not all of its functionality can be used.)


SQLColumns

Creates a result set for a table, which is the column list for the specified table or tables. When you request columns for a PUBLIC synonym, you must have set the SYNONYMCOLUMNS connection attribute and specified an empty string as the szTableOwner argument. When returning columns for PUBLIC synonyms, the driver sets the TABLE NAME column to an empty string. The result set contains an additional column, ORDINAL POSITION, at the end of each row. This value is the ordinal position of the column in the table.